Package org.apache.storm.blobstore

# Class BlobStore.BlobStoreFileInputStream

java.lang.Object
java.io.InputStream
org.apache.storm.blobstore.InputStreamWithMeta
org.apache.storm.blobstore.BlobStore.BlobStoreFileInputStream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing class:
  BlobStore

protected class BlobStore.BlobStoreFileInputStream extends InputStreamWithMeta
Input stream implementation used for writing both the metadata containing the acl information and the blob data.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BlobStoreFileInputStream(BlobStoreFile part)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `available()`
  `void`
  `close()`
  `long`
  `getFileLength()`
  `long`
  `getVersion()`
  `int`
  `read()`
  `int`
  `read(byte[] b)`
  `int`
  `read(byte[] b, int off, int len)`

  ### Methods inherited from class java.io.InputStream

  `mark, markSupported, nullInputStream, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BlobStoreFileInputStream

    public BlobStoreFileInputStream(BlobStoreFile part) throws IOException
    Throws:
      `IOException`

- ## Method Details

  - ### getVersion

    public long getVersion() throws IOException
    Specified by:
      `getVersion` in class `InputStreamWithMeta`
    Throws:
      `IOException`

  - ### read

    public int read() throws IOException
    Specified by:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b, int off, int len) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### read

    public int read(byte[] b) throws IOException
    Overrides:
      `read` in class `InputStream`
    Throws:
      `IOException`

  - ### available

    public int available() throws IOException
    Overrides:
      `available` in class `InputStream`
    Throws:
      `IOException`

  - ### getFileLength

    public long getFileLength() throws IOException
    Specified by:
      `getFileLength` in class `InputStreamWithMeta`
    Throws:
      `IOException`

  - ### close

    public void close() throws IOException
    Specified by:
      `close` in interface `AutoCloseable`
    Specified by:
      `close` in interface `Closeable`
    Overrides:
      `close` in class `InputStream`
    Throws:
      `IOException`